%constants
g=9.8; c=15; t=9; v=35;
tolerance=0.001;

%initial guesses
xl=40; xu=300;
error=1;
xrold=xl;
count=0;
while (error>tolerance)
 xr=(xl+xu)/2
 error=abs((xr-xrold)/xr)*100
 count=count+1
 fxl=v-(g*xl/c)*(1-exp(-c*t/xl));
 fxu=v-(g*xu/c)*(1-exp(-c*t/xu));
 fxr=v-(g*xr/c)*(1-exp(-c*t/xr));
 if (fxl*fxr<0)  %this means root is in the left interval
  xu=xr;
 else
  xl=xr;
 end
 xrold=xr;
end