format long
xl=0.5;
xu=2;
tolerance=0.0001;
rel_err=3;
xr=(xl+xu)/2
while (rel_err>tolerance)
%check whether xr in upper or lower interval
fxl=xl^3+4*xl^2-10;
fxr=xr^3+4*xr^2-10;
if (fxl*fxr<0)
	%root in lower interval
	%change upper and lower bracket accordingly
	xu=xr;
else
	%root in upper interval
	%change upper and lower bracket accordingly
	xl=xr;
end
oldxr=xr;
xr=(xl+xu)/2
rel_err=abs((xr-oldxr)/xr)*100
end
root=xr