v=5; t=3; L=5; g=9.81;
tolerance=0.0001; %tolerance

%initial guesses
hu=10;
hl=0.1;
err=1;
fhu=v/(sqrt(2*g*hu))-tanh((t/(2*L))*sqrt(2*g*hu));
fhl=v/(sqrt(2*g*hl))-tanh((t/(2*L))*sqrt(2*g*hl));
hr=hu-fhu*(hl-hu)/(fhl-fhu);

while (err>tolerance)
fhr=v/(sqrt(2*g*hr))-tanh((t/(2*L))*sqrt(2*g*hr));
if (fhu*fhr<0)
	hl=hr
	fhl=v/(sqrt(2*g*hl))-tanh((t/(2*L))*sqrt(2*g*hl));
else
	hu=hr
	fhu=v/(sqrt(2*g*hu))-tanh((t/(2*L))*sqrt(2*g*hu));
end
oldhr=hr;
hr=hu-fhu*(hl-hu)/(fhl-fhu)
err=abs((hr-oldhr)/hr)*100;
end

h=[0.1:0.1:2];
fh=v./(sqrt(2*g*h))-tanh((t/(2*L)).*sqrt(2*g*h));
plot(h,fh)
